//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace VakifDataTransferNew.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class MembershipService
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public MembershipService()
        {
            this.ManualTransactions = new HashSet<ManualTransaction>();
            this.OffTimes = new HashSet<OffTime>();
            this.ServicePayments = new HashSet<ServicePayment>();
        }
    
        public System.Guid Id { get; set; }
        public string CreatedBy { get; set; }
        public System.DateTime CreatedDate { get; set; }
        public string ModifiedBy { get; set; }
        public Nullable<System.DateTime> ModifiedDate { get; set; }
        public bool IsActive { get; set; }
        public Nullable<System.Guid> BusinessServiceGroupId { get; set; }
        public System.Guid MembershipId { get; set; }
        public decimal Amount { get; set; }
        public Nullable<System.DateTime> ApplicationDate { get; set; }
        public System.DateTime ActivationDate { get; set; }
        public string ReferenceCode { get; set; }
        public int ShiftCount { get; set; }
        public decimal AmountNet { get; set; }
        public string Note { get; set; }
    
        public virtual BusinessServiceGroup BusinessServiceGroup { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ManualTransaction> ManualTransactions { get; set; }
        public virtual Membership Membership { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<OffTime> OffTimes { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ServicePayment> ServicePayments { get; set; }
    }
}
